Qikberry API Docs
SMSWhatsapp Cloud API
RCS for BusinessVMNVerifyIntegrations
SMSWhatsapp Cloud API
RCS for BusinessVMNVerifyIntegrations
Qikberry.AI
App
  1. Non-templates messages
  • Introduction
  • Catalog Messages
  • Payment Messages
  • Marketing Messages
  • Authentication Messages
  • Receiving Messages via Webhook
  • Non-templates messages
    • Interactive
      • URL button
      • List buttons
      • Media carousel
      • Reply buttons
    • Address
      POST
    • Audio
      POST
    • Document
      POST
    • Contacts
      POST
    • Image
      POST
    • Location
      POST
    • Video
      POST
    • Text
      POST
    • Location Request
      POST
    • Reaction
      POST
    • Sticker
      POST
  1. Non-templates messages

Location Request

POST
https://rest.qikberry.ai/v1/whatsapp/messages
Location request messages display body text and a send location button. When a WhatsApp user taps the button, a location sharing screen appears, which the user can then use to share their location.
location_request_img.png
Once the user shares their location, a messages webhook is triggered, containing the user’s location details.

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Header Params

Body Params application/jsonRequired

Examples

Responses

🟢200Success
application/json
The request was successfully accepted for processing. The response returns a confirmation message along with the unique message ID and the recipient's WhatsApp number.
Bodyapplication/json

🟠401Unauthorized
🟠400Bad Request
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://rest.qikberry.ai/v1/whatsapp/messages' \
--header 'x-phone-number: <WA_ID>' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
    "to": "<USER_PHONE_NUMBER>",
    "type": "interactive",
    "interactive": {
        "type": "location_request_message",
        "body": {
            "text": "Thanks for your order.\nPlease Send your location to proceed."
        },
        "action": {
            "name": "send_location"
        }
    }
}'
Response Response Example
200 - Success
{
    "message": "1 numbers accepted",
    "data": [
        {
            "messageId": "<MESSAGE_ID>",
            "mobile": "<USER_PHONE_NUMBER>"
        }
    ]
}
Modified at 2026-07-30 11:09:27
Previous
Text
Next
Reaction
Built with